<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_LOG_LEVEL" value="error" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="Show only selected application" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="02b35f62-72e3-4120-b148-bb797ca14de6" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="A3KU022106007832" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view />
      </state>
    </system>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/index_page.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="99">
              <caret line="62" column="27" selection-start-line="62" selection-start-column="27" selection-end-line="62" selection-end-column="27" />
            </state>
          </provider>
          <provider editor-type-id="android-designer2" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/settings.gradle">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="19">
              <caret line="1" column="24" selection-start-line="1" selection-start-column="24" selection-end-line="1" selection-end-column="24" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/build.gradle">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="323">
              <caret line="17" column="5" selection-start-line="17" selection-start-column="5" selection-end-line="17" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app2/build.gradle">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/java/com/xnote/activity/MainActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="296">
              <caret line="140" column="46" selection-start-line="140" selection-start-column="46" selection-end-line="140" selection-end-column="46" />
              <folding>
                <element signature="e#4744#4745#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app2/src/main/java/com/example/cdc4512/vertifydemo/FirstActivity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="57">
              <caret line="5" column="48" selection-start-line="3" selection-start-column="7" selection-end-line="5" selection-end-column="48" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/captcha/build.gradle">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app2/src/main/res/layout/activity_main.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="270">
              <caret line="36" column="29" selection-start-line="36" selection-start-column="29" selection-end-line="36" selection-end-column="29" />
            </state>
          </provider>
          <provider editor-type-id="android-designer2" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
          <provider editor-type-id="android-manifest" />
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="190">
              <caret line="23" column="61" lean-forward="true" selection-start-line="23" selection-start-column="61" selection-end-line="23" selection-end-column="61" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/app.iml">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
    </leaf>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/app/src/main/res/layout/index_page.xml" />
        <option value="$PROJECT_DIR$/settings.gradle" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-10" />
    <option name="y" value="-10" />
    <option name="width" value="1750" />
    <option name="height" value="980" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="AndroidView">
        <subPane>
          <expand>
            <path>
              <item name="XNote" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
            </path>
            <path>
              <item name="XNote" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
              <item name="java" type="edd41e36:AndroidSourceTypeNode" />
            </path>
            <path>
              <item name="XNote" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
              <item name="java" type="edd41e36:AndroidSourceTypeNode" />
              <item name="xnote" type="cbb59c9e:AndroidPsiDirectoryNode" />
            </path>
            <path>
              <item name="XNote" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
              <item name="java" type="edd41e36:AndroidSourceTypeNode" />
              <item name="xnote" type="cbb59c9e:AndroidPsiDirectoryNode" />
              <item name="activity" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="XNote" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
              <item name="res" type="d4f16f75:AndroidResFolderNode" />
            </path>
            <path>
              <item name="XNote" type="1abcf292:AndroidViewProjectNode" />
              <item name="app" type="feadf853:AndroidModuleNode" />
              <item name="res" type="d4f16f75:AndroidResFolderNode" />
              <item name="layout" type="ddeffd01:AndroidResFolderTypeNode" />
            </path>
            <path>
              <item name="XNote" type="1abcf292:AndroidViewProjectNode" />
              <item name="app2" type="feadf853:AndroidModuleNode" />
            </path>
            <path>
              <item name="XNote" type="1abcf292:AndroidViewProjectNode" />
              <item name="app2" type="feadf853:AndroidModuleNode" />
              <item name="java" type="edd41e36:AndroidSourceTypeNode" />
            </path>
            <path>
              <item name="XNote" type="1abcf292:AndroidViewProjectNode" />
              <item name="app2" type="feadf853:AndroidModuleNode" />
              <item name="java" type="edd41e36:AndroidSourceTypeNode" />
              <item name="vertifydemo" type="cbb59c9e:AndroidPsiDirectoryNode" />
            </path>
            <path>
              <item name="XNote" type="1abcf292:AndroidViewProjectNode" />
              <item name="app2" type="feadf853:AndroidModuleNode" />
              <item name="res" type="d4f16f75:AndroidResFolderNode" />
            </path>
            <path>
              <item name="XNote" type="1abcf292:AndroidViewProjectNode" />
              <item name="app2" type="feadf853:AndroidModuleNode" />
              <item name="res" type="d4f16f75:AndroidResFolderNode" />
              <item name="layout" type="ddeffd01:AndroidResFolderTypeNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="XNote" type="b2602c69:ProjectViewProjectNode" />
              <item name="XNote" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="android.project.structure.last.selected" value="SDK Location" />
    <property name="android.project.structure.proportion" value="0.15" />
    <property name="android.sdk.path" value="$PROJECT_DIR$/../Android/SDK" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="not.eligible.for.single.variant.sync" value="true" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="USE_LAST_SELECTED_DEVICE" value="false" />
      <option name="PREFERRED_AVD" value="" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="02b35f62-72e3-4120-b148-bb797ca14de6" name="Default Changelist" comment="" />
      <created>1686976858580</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1686976858580</updated>
    </task>
    <servers />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="838" extended-state="6" />
    <layout>
      <window_info id="Captures" order="0" side_tool="true" weight="0.25" />
      <window_info content_ui="combo" id="Project" order="1" visible="true" weight="0.3297587" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Build Variants" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info id="Designer" order="5" />
      <window_info id="Resources Explorer" order="6" />
      <window_info id="Capture Tool" order="7" />
      <window_info id="Favorites" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Run" order="0" weight="0.32956153" />
      <window_info anchor="bottom" id="SonarQube" order="1" weight="0.32956153" />
      <window_info anchor="bottom" id="SonarLint" order="2" />
      <window_info anchor="bottom" id="Logcat" order="3" weight="0.32956153" />
      <window_info anchor="bottom" id="TODO" order="4" weight="0.32956153" />
      <window_info anchor="bottom" id="Android Profiler" order="5" weight="0.32956153" />
      <window_info anchor="bottom" id="Debug" order="6" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info anchor="bottom" id="Event Log" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Build" order="10" weight="0.32956153" />
      <window_info anchor="bottom" id="Find" order="11" />
      <window_info anchor="right" id="Device File Explorer" order="0" side_tool="true" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Gradle" order="2" />
      <window_info anchor="right" id="Theme Preview" order="3" />
      <window_info anchor="right" id="Preview" order="4" />
      <window_info anchor="right" id="Palette&#9;" order="5" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="jar://$PROJECT_DIR$/../Android/.gradle/gradle-7.4/caches/modules-2/files-2.1/com.android.support/appcompat-v7/25.3.1/97d3ad2e852f173c8a563752d9908e68e1e10a0a/appcompat-v7-25.3.1-sources.jar!/android/support/v7/app/AppCompatViewInflater.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5320">
          <caret line="326" selection-start-line="326" selection-end-line="326" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/../Android/SDK/platforms/android-28/android.jar!/android/view/View.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="11077">
          <caret line="777" selection-start-line="777" selection-end-line="777" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$PROJECT_DIR$/../Android/SDK/platforms/android-25/android.jar!/android/view/View.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-21325">
          <caret line="801" column="28" selection-start-line="801" selection-start-column="28" selection-end-line="801" selection-end-column="28" />
          <folding>
            <element signature="e#26120#26121#0" expanded="true" />
            <element signature="e#26171#26172#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/XiaomiNote.iml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-221" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/gradlew">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-855" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/import-summary.txt">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/local.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/app.iml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="17" column="5" selection-start-line="17" selection-start-column="5" selection-end-line="17" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app2/build.gradle">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/captcha/build.gradle">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/XNote.iml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="133">
          <caret line="7" column="22" selection-start-line="7" selection-start-column="22" selection-end-line="7" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/settings.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="19">
          <caret line="1" column="24" selection-start-line="1" selection-start-column="24" selection-end-line="1" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/AndroidManifest.xml">
      <provider editor-type-id="android-manifest" />
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="190">
          <caret line="23" column="61" lean-forward="true" selection-start-line="23" selection-start-column="61" selection-end-line="23" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/res/layout/index_page.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="99">
          <caret line="62" column="27" selection-start-line="62" selection-start-column="27" selection-end-line="62" selection-end-column="27" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/src/main/java/com/xnote/activity/MainActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="296">
          <caret line="140" column="46" selection-start-line="140" selection-start-column="46" selection-end-line="140" selection-end-column="46" />
          <folding>
            <element signature="e#4744#4745#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app2/src/main/res/layout/activity_main.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="36" column="29" selection-start-line="36" selection-start-column="29" selection-end-line="36" selection-end-column="29" />
        </state>
      </provider>
      <provider editor-type-id="android-designer2" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app2/src/main/java/com/example/cdc4512/vertifydemo/FirstActivity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="57">
          <caret line="5" column="48" selection-start-line="3" selection-start-column="7" selection-end-line="5" selection-end-column="48" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>Android API 8 Platform</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ScopeChooserConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>